Bug 1265603 (CVE-2015-4476) - CVE-2015-4476 Mozilla: Site attribute spoofing on Android by pasting URL with unknown scheme (MFSA 2015-99)
Summary: CVE-2015-4476 Mozilla: Site attribute spoofing on Android by pasting URL with...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2015-4476
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1261782
TreeView+ depends on / blocked
 
Reported: 2015-09-23 10:38 UTC by Prasad J Pandit
Modified: 2021-02-17 04:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-23 20:19:02 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2015-09-23 10:38:21 UTC
ecurity researcher Jordi Chancel reported that on Firefox for Android, when a
URL is pasted with an unknown protocol, such as secure: or httpz, the pasted
URL is shown in the addressbar but no navigation occurs. Other address bar
attributes present before this pasted URL is entered will continue to be
rendered. This could lead to potential spoofing by a malicious site.

This issue only affects Firefox for Android and does not affect Firefox on
OS X, Linux, or Windows operating systems.

Upstream bug:

https://bugzilla.mozilla.org/show_bug.cgi?id=1162372

External References:

https://www.mozilla.org/en-US/security/advisories/mfsa2015-99/

Comment 1 Martin Prpič 2015-09-24 12:41:32 UTC
Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Jordi Chancel as the original reporter.


Note You need to log in before you can comment on or make changes to this bug.